repo/gentoo:master commit in: dev-libs/xapian/

"Sam James" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786769994.f02ea5bffb1e1f97a0c2d79fbda1afe90ade42cd.sam@gentoo>
commit:     f02ea5bffb1e1f97a0c2d79fbda1afe90ade42cd
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 03:57:24 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 04:59:54 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f02ea5bf

dev-libs/xapian: add 1.4.32

Bug: https://bugs.gentoo.org/976630
Bug: https://bugs.gentoo.org/980873
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/xapian/Manifest             |  2 +
 dev-libs/xapian/xapian-1.4.32.ebuild | 74 ++++++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/dev-libs/xapian/Manifest b/dev-libs/xapian/Manifest
index e403813ddb43..d413f8bbd89c 100644
--- a/dev-libs/xapian/Manifest
+++ b/dev-libs/xapian/Manifest
@@ -3,5 +3,7 @@ DIST xapian-core-1.4.30.tar.xz 3252336 BLAKE2B 75f4893cfccdd47d90d67bfda3525bcda
 DIST xapian-core-1.4.30.tar.xz.asc 833 BLAKE2B ad551256d1b4bb10786821d01ec90edb0ddf94cd33905b588b4797165e385ede5e1673bfc5e39b48cc65024d49a82b1f5b67e1370b5997767d6d7267e0b0920d SHA512 26d7072c40bd77db5133abae12fb6e7d3240701901fe1c87b0b2d296af3c58ac63a63b7bb4016bedc76761455658a05a46aefd1deabf02389abdf8f3be565409
 DIST xapian-core-1.4.31.tar.xz 3276640 BLAKE2B e44ec55a68e3aa3c6099a6daf7f0e3ede0928b47af3526340dbc0cbef58982c4d0cc8b2bd5e81021df717ed47168c19bb95758fd9bc1e670f1bc0815da70492d SHA512 45428083c6342333b0e4158b079c08ed3ff95b92c2fdec959acbcc28c27a6ab8d49f184bac0ddf6f7d2e5d44ba1e057ade9ef52c2b14f234ffc9d940878a1a2f
 DIST xapian-core-1.4.31.tar.xz.asc 833 BLAKE2B 6dd00fe97546b28a93f5687780c1145de0bd533a56522c30069735968f5e84c58b6f2b2ce5620ac020c3227b74c557d117a7ce592616a350134d9ab8b2c1a4f7 SHA512 e46287ed29861ef2154c3a6b134d0f429f2450f26af14d978f537eaf164e26a7d9c17cde87d5ff078aaef59b3ec2f1bf25a52b422c1037cb6c0a63d0056da691
+DIST xapian-core-1.4.32.tar.xz 3277416 BLAKE2B 1cefa1b044f3b95c9d3832890e74225b97744855482d6dd6c458c24404299082f6fd4babf26471a34c5464655d55aaca668a7f73e218f7374419c4c8f3ce3e51 SHA512 1559bac2e1ee92684a4841f610be6f6e779e5bf335738b472d19c4df176f8a49bf887bb144c03a068bc651ed448554f108cb501cdfa556e829426d3ea290259d
+DIST xapian-core-1.4.32.tar.xz.asc 833 BLAKE2B 397f56788d67810521e9463fea931f63da025d446da9926748c659c376b5bd767b248f8796fe2b20cbb3cc2c06ca5f50ea50a2c2a7637f3e625a18be92924eef SHA512 358594403b5dd65f9a853dfd63ad529d7a8eb8d07e5a65a76fffeb4573d8931e64cc786f4f7466be293b27dbb2279cb23a05ba5ed095fb14364d2f3567fa50df
 DIST xapian-core-2.0.0.tar.xz 3490804 BLAKE2B 2032ae047312bdc03b1002cbc2a4f01a2e5d37c0859fd5a6013758d456d7642c07ca0d28141daf0eeb2ba33db41206df088ba2666efcd83d545d123d51e8cb6c SHA512 b9205997ca05748b3dae1b669f428bc04c6a5bda41dcae1443869741e1bd6c245e0e433c8c4afef021299a699fc4e4ed6ae82aae8541db613aa570a003afea43
 DIST xapian-core-2.0.0.tar.xz.asc 833 BLAKE2B c7bffd3185c3d1d20b5bfad9b26ccea054db8abd81d3d9b1327ed8b17727fb6c8d6c50fede85a428f7167c959888891e53a756171dfbc534ec7e2c9d641e1619 SHA512 0b95554f0ce07b7383b1e70f6458df24518652a5ccbda5566ef0d9d27648064181b6d4a7a80dedb14cdbb1ac21ea7364341e553ca1c03fd49cf102ed224e216b

diff --git a/dev-libs/xapian/xapian-1.4.32.ebuild b/dev-libs/xapian/xapian-1.4.32.ebuild
new file mode 100644
index 000000000000..c6822e8318c7
--- /dev/null
+++ b/dev-libs/xapian/xapian-1.4.32.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/ollybetts.asc
+inherit toolchain-funcs verify-sig
+
+MY_P="${PN}-core-${PV}"
+DESCRIPTION="Xapian Probabilistic Information Retrieval library"
+HOMEPAGE="https://xapian.org/"
+SRC_URI="
+	https://oligarchy.co.uk/xapian/${PV}/${MY_P}.tar.xz
+	verify-sig? ( https://oligarchy.co.uk/xapian/${PV}/${MY_P}.tar.xz.asc )
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0/30" # ABI version of libxapian.so
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos ~x64-solaris"
+IUSE="cpu_flags_x86_sse cpu_flags_x86_sse2 debug static-libs"
+
+DEPEND="
+	virtual/zlib:=
+	!elibc_Darwin? ( !elibc_SunOS? ( sys-apps/util-linux ) )
+	elibc_SunOS? ( sys-libs/libuuid )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="verify-sig? ( sec-keys/openpgp-keys-ollybetts )"
+
+DOCS=( AUTHORS HACKING PLATFORMS README NEWS )
+
+src_configure() {
+	tc-export_build_env BUILD_CC
+	local -x CC_FOR_BUILD="${BUILD_CC}"
+
+	# skip certain autoconf checks
+	local -x VALGRIND=
+	local -x EATMYDATA=
+
+	local -a myconf=(
+		--docdir="${EPREFIX}"/usr/share/doc/${PF}/html
+		--disable-werror
+		--enable-backend-chert
+		--enable-backend-glass
+		--enable-backend-inmemory
+		--enable-backend-remote
+		--program-suffix=
+		$(use_enable debug assertions)
+		$(use_enable debug log)
+		$(use_enable static-libs static)
+	)
+
+	if use cpu_flags_x86_sse2; then
+		myconf+=( --enable-sse=sse2 )
+	elif use cpu_flags_x86_sse; then
+		myconf+=( --enable-sse=sse )
+	else
+		myconf+=( --disable-sse )
+	fi
+
+	econf "${myconf[@]}"
+}
+
+src_test() {
+	local -x VERBOSE=1
+	local -x AUTOMATED_TESTING=1
+	emake -Onone check
+}
+
+src_install() {
+	default
+	find "${ED}" -name "*.la" -type f -delete || die
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.